
From: Adrian Bunk <bunk@stusta.de>

The Coverity checker found that this for loop was wrong.

This patch changes it to what seems to be intended.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/sym53c416.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/scsi/sym53c416.c~drivers-scsi-sym53c416c-fix-a-wrong-check drivers/scsi/sym53c416.c
--- 25/drivers/scsi/sym53c416.c~drivers-scsi-sym53c416c-fix-a-wrong-check	2005-05-02 18:32:32.000000000 -0700
+++ 25-akpm/drivers/scsi/sym53c416.c	2005-05-02 18:32:32.000000000 -0700
@@ -809,7 +809,7 @@ static int sym53c416_host_reset(Scsi_Cmn
 	/* printk("sym53c416_reset\n"); */
 	base = SCpnt->device->host->io_port;
 	/* search scsi_id - fixme, we shouldnt need to iterate for this! */
-	for(i = 0; i < host_index && scsi_id != -1; i++)
+	for(i = 0; i < host_index && scsi_id == -1; i++)
 		if(hosts[i].base == base)
 			scsi_id = hosts[i].scsi_id;
 	outb(RESET_CHIP, base + COMMAND_REG);
_
